from Products.CMFCore.utils import getToolByName
from cStringIO import StringIO

def gotattr(obj, atttr):
	return hasattr(obj, attr)

def getUserPass(user=None):
    if user is not None:
       password = user.getPassword()
    else:
       password = ''
    return password

def getTransitions(self):
    #out = StringIO()
    #out.write('Testing Get Transitions\n')
    #out.write('-----------------------\n\n')
    wf_tool = getToolByName(self, 'portal_workflow')
    wf_with_transitions = {}
    for id in wf_tool.getWorkflowIds():
        wf = wf_tool.getWorkflowById(id)
        #out.write('Workflow dict: %s' % str(wf.__dict__))
        if hasattr(wf, 'transitions'):
            tlists = []
            #out.write('Transitions dict: %s\n' % str(wf.transitions.__dict__))
            if hasattr(wf.transitions, '_mapping'):
                for transition in wf.transitions._mapping.keys():
                    tlist_def = wf.transitions._mapping[transition]
                    tranid = tlist_def.getId()
                    #out.write('Transition list: %s\n' % str(tlist_def))
                    a_tlist = {'id': tranid
                    ,}
                    name =  getattr(tlist_def, 'actbox_name', None)
                    if name: a_tlist['name'] = name
                    tlists.append(a_tlist)
                wf_with_transitions[id] = tlists
    actionlist = {}
    for workflowkey in wf_with_transitions.keys():
        for transition in wf_with_transitions[workflowkey]:
            if transition.has_key('id'):
                if not actionlist.has_key(transition['id']):
                    actionlist[transition['id']] = transition['name']
                    
    if not actionlist:
        actionlist = {'publish': 'Publish'
                    , 'submit': 'Submit'
                    , 'retract': 'Retract'
                    , 'reject': 'reject'}
                
    return actionlist 
