## Script (Python) "genSubEventList"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=event
##title=Generate structure for creating a table of subevents
##
subevents = event.objectValues('Media Sub Event')

format = [
  {'name':'Title','type':'link'}
 ,{'name':'Description','type':'text'}
 ,{'name':'Start date','type':'text'}
 ,{'name':'End date','type':'text'}
 ,{'name':'Start time','type':'text'}
 ,{'name':'End time','type':'text'}
 ,{'name':'Status','type':'text'}
 ,{'name':'Select','type':'id'}
 ]

items = []
for obj in subevents:
    ss = obj.getStartStrings()
    es = obj.getEndStrings()
    sdate = '%s/%s/%s' % (ss['year'], ss['month'], ss['day']);
    edate = '%s/%s/%s' % (es['year'], es['month'], es['day']);
    items.append(
        {'Select':{'name':'manipulator_id:list','id':obj.getId()}
        ,'Description':{'text':obj.description}
        ,'Title':{'href':'%s/prg_editor_editform?refresh_marker=true' % obj.absolute_url(),'title':obj.title_or_id(),'target':'editform'}
        ,'Status':{'text':context.portal_workflow.getInfoFor(obj, 'review_state', '')}
        ,'Start time':{'text':obj.getStartTimeString()}
        ,'End time':{'text':obj.getStopTimeString()}
        ,'Start date':{'text':sdate}
        ,'End date':{'text':edate}
        }
    )

return {'format':format,'entries':items}
