## Script (Python) "getRealtime"
##parameters=encstart, tc, eventstart=None
##title=Return the timestamp in real time for tc times

if eventstart is not None:
    event = eventstart.Date()
    enc = event + ' ' + str(encstart) + ' GMT'
    millis = long(tc)
    seconds = int(millis / 1000)
else:
    y = DateTime().year()
    enc = str(y) + '/01/01 ' + str(encstart) + ' GMT'
    tcpoint = str(y) + '/01/01 ' + str(tc) + ' GMT'

time = DateTime(DateTime(enc).timeTime() + seconds)
return_time = time.toZone('GMT')

return return_time.strftime('%d/%m-%Y %H:%M')
