## Script (Python) "genAssignedServers"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Generate structure for creating a table of assigned servers
##
paths = context.listLogics()
format = [
  {'name':'Server','type':'link'}
 ,{'name':'Type','type':'text'}
 ,{'name':'Delete','type':'link'}
 ]

items = []
for serverpath in paths:
    server = context.getLogicObject(serverpath)
    if server:
        items.append(
            {'Server':{'href':"javascript:openWindow('%s/masterfile_edit_server_logic_form?logic=%s','mfedit',400,300)" % (context.absolute_url(),serverpath),'title':server.title_and_id()}
            ,'Type':{'text':server.getServerType()}
            ,'Delete':{'href':'%s/masterfile_edit?deleteLogic=%s' % (context.absolute_url(), serverpath),'title':'Delete'}
            }
        )

return {'format':format,'entries':items}
