## Script (Python) "set_request_parm"
##parameters=
##title=Init the clip_data view

con = context
req = con.REQUEST
date = DateTime()
now = date.strftime('%Y/%m/%d')
mediatool = con.portal_mediamanager
#pp = con.portal_url.getPortalPath()

if context.meta_type == 'Media Manager Clip':
    event = mediatool.getEventFor(con)
    #print event.absolute_url(relative=1)
    context.REQUEST.set('c_title', con.title)
    context.REQUEST.set('c_identifier', con.identifier)
    context.REQUEST.set('c_body', con.body)
    req.set('c_desc', con.description)
    req.set('c_pubfrom', con.effective_date)
    req.set('c_pubto', con.expiration_date)
    req.set('c_tcin', con.tcin)
    req.set('c_tcout', con.tcout)
    #print con.getMasterFile()
    #return printed
    req.set('masterfile', con.getMasterFileObject())
    #print req['masterfile'].absolute_url()
    #return printed
    fstatus = con.portal_workflow.getInfoFor(con.getMasterFileObject(), 'review_state', '')
    req.set('masterfilestatus', fstatus)
    estart = event.start_date
    fstart = con.getMasterFileObject().encoder_start
    real_in = con.getRealtime(fstart, con.tcin, estart)
    real_out = con.getRealtime(fstart, con.tcout, estart)
    req.set('real_tcin', real_in)
    req.set('real_tcout', real_out)
    req.set('save_clip', 1)
    req.set('manipulator_url', event.absolute_url())
else:
    context.REQUEST.set('c_title', '')
    context.REQUEST.set('c_identifier', '')
    req.set('c_body', '')
    req.set('c_desc', '')
    req.set('c_pubfrom', now)
    req.set('c_pubto', '9999/01/01')
    req.set('c_tcin', '')
    req.set('c_tcout', '')
    file = con.listFileObjects()[0]
    req.set('masterfile', file)
    fstatus = con.portal_workflow.getInfoFor(file, 'review_state', '')
    req.set('masterfilestatus', fstatus)
    req.set('real_tcin', '')
    req.set('real_tcout', '')
    req.set('save_clip', 0)
    req.set('manipulator_url', con.absolute_url())
